Subject: RE: Purpose of Namespace

From: "Clemm, Geoff" <[email-masked]>
Date: Fri, 30 Nov 2001 15:56:33 -0500

It is probably still worth making the general comment about namespaces
in section 1, because it is also useful for proprietary extensions to
the method request and response bodies.  It further looks like section 4.5
says all that needs to be said about namespaces and property names.

So I'd say all that needs to be done is to get rid of the sentence that
refers to concatenating the namespace URL with the local node name,
and we are done with this issue.

Cheers,
Geoff

-----Original Message-----
From: Jason Crawford [mailto:[email-masked]]
Sent: Friday, November 30, 2001 2:54 PM
To: 'WebDAV'
Subject: RE: Purpose of Namespace

Just to clarify my note a bit...

By "properties issue" what I meant is that XML namespaces are needed
largely for the sake of properties.  As per

http://lists.w3.org/Archives/Public/w3c-dist-auth/2001OctDec/0299.html

I'd like to provide a bit more info.  (Sorry for being so fractured in the
presentation.)  I just want to point out in section 4.5 we already have...

   The XML namespace mechanism, which is based on URIs [RFC2396], is
   used to name properties because it prevents namespace collisions and
   provides for varying degrees of administrative control.

Should we leave that XML namespace comment in section 1, modify it, or
remove it.  (You can find the text of it below.)

J.

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Jason Crawford
> Sent: Friday, November 30, 2001 8:32 PM
> To: 'WebDAV'
> Subject: RE: Purpose of Namespace
>
>
>
>
> A couple of people have come forward to say we probably should not add an
> explanation of why we use XML namespaces in WebDAV.  I have no
> problem with
> that, but  I just want to point out the following that I just found in
> RFC2518, Section 1.
>
>    The XML namespace extension (Appendix 4) is also used in this
>    specification in order to allow for new XML elements to be added
>    without fear of colliding with other element names.
>
> Because of this, I'd like to propose than we just go ahead and modify
this
> to mention the properties issue.
>
> Okay?
>
> J.
>
> ------------------------------------------
> Phone: 914-784-7569,   [email-masked]
>
>

------------------------------------------
Phone: 914-784-7569,   [email-masked]

---

From: "Julian Reschke" <[email-masked]>
Date: Fri, 30 Nov 2001 22:00:42 +0100

Agreed.

> [mailto:[email-masked]]On Behalf Of Clemm, Geoff
> Sent: Friday, November 30, 2001 9:57 PM
> To: 'WebDAV'